<!doctype html>
<%@page import="java.util.Base64"%>
<%@page import="ibase.webitm.utility.ITMException"%>
<%@page import="java.rmi.RemoteException"%>
<%@page import="ibase.webitm.ejb.DBAccessEJB"%>
<%@page import="ibase.utility.BaseLogger"%>
<%@page import="ibase.edi.service.VisionEDIService"%>
<%@page import="java.io.File"%>
<%@page import="ibase.utility.CommonConstants"%>

<%@page import="ibase.utility.UserInfoBean"%>
<%@page import="ibase.ejb.CommonDBAccessEJB"%>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Show Data</title>
  <base href="">

  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/x-icon" href="favicon.ico"/>
  <link rel="stylesheet" type="text/css" href="ws/assets/css/indigo-pink.css" />
  <!-- <link rel="stylesheet" type="text/css" href="ws/assets/css/styles.css" />  -->
  <link rel="stylesheet" type="text/css" href="ws/assets/bootstrap/scss/_root.scss" /> 
  <link rel="stylesheet" type="text/css" href="show-file-content/assets/styles.css" /> 
  
</head>
<%
String objName = request.getParameter( "OBJ_NAME" );
String userCode = request.getParameter("chg_user.String");
String appId = request.getParameter("app_id.String");
String responseInfo = request.getParameter("response_info.String");

String ediDataLogPathEncodedString = "";
String newFileLocationPathEncodedString = "";


CommonDBAccessEJB commonDBAccessEJB = new CommonDBAccessEJB();
UserInfoBean userInfo = commonDBAccessEJB.createUserInfo(userCode);
String transDB = userInfo.getTransDB();
String tranId = request.getParameter("tran_id.String");
DBAccessEJB dbacessEjb = new DBAccessEJB();
//String response_info = dbacessEjb.getDBColumnValue("api_call_log", "to_char(response_info)", "tran_id='"+tranId+"'");
String response_info = dbacessEjb.getDBColumnValue("api_call_log", "to_char(response_info)", "tran_id='"+tranId+"'",transDB);
BaseLogger.log("3", null, null, "Response_info " + response_info);
int indexLogFileName = response_info.lastIndexOf(":");
String logFileName =  response_info.substring(indexLogFileName + 1);


//String ediDataLogPath = CommonConstants.EDI_LOG + File.separator + logFileName.trim();
String ediDataLogPath = CommonConstants.EDI_LOG + File.separator + logFileName.trim();
BaseLogger.log("3", null, null, "ediDataLogPath.... " + ediDataLogPath);

String newFileLocation = "/wildfly/upload_log/1703233240405_SSONI_edi_data_1703233239853.log";
//String newFileLocation ="/wildfly/upload_log";
BaseLogger.log("3", null, null, "newFileLocation.... " + newFileLocation);



if(!newFileLocation.equalsIgnoreCase(""))
{
	byte[] newFileLocationEncoded = Base64.getEncoder().encode(newFileLocation.getBytes());
	newFileLocationPathEncodedString = new String(newFileLocationEncoded);


}

%>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

<script>
function loadComponent(targetId, componentName) 
{
   
    
    console.log('load Task window.ShowFileContentPlugin rsk',window.ShowFileContentPlugin);
    console.log("<%=newFileLocation%>");

   // setBBHostURL();

    if( window.ShowFileContentPlugin )
    {
	    var pluginEmitter = window.ShowFileContentPlugin.pluginEvtEmitter;
	    var pluginConfig = window.ShowFileContentPlugin.pluginConfig;
	    var evtEmit = new pluginEmitter();
	    evtEmit.subscribe((pluginEvent) => {
	    });
       
	    var objName = "showlog";
	    var data = {
		    	"target-id" : targetId,
		    	"compData" : {"objName" : objName},
		    	"cacheComp" : false
		    };
	    
	    var ShowFileContentPlugin = window.ShowFileContentPlugin.loadPlugin(componentName, data, window.ShowFileContentPlugin.pluginMI, evtEmit);
	    console.log( 'ShowFileContentPlugin >>', ShowFileContentPlugin );
    }
	var element = document.getElementById('display-file-content');
	var filepath = element.getAttribute('filepath');
	var url = window.location.origin + "/ibase/rest/EDIService/edifiles/" + filepath; 
	


	console.log("url:::::" + url);

	var request = $.ajax({
    url: url,
    method: "GET"
  });

  request.done(function(resp) {
    console.log("Type of response:::::" + typeof resp);
    if(typeof resp==='object'){
        console.log("Response:::::" + "No data found");
        
    }
    else if(typeof resp==='string'){        
       console.log("Response:::::" + resp);
    }
    else{
          
    }
  });
    
   
      
}
</script>

<!-- <body onload="document.getElementById('search_scope').click();"> -->
<body onload="document.getElementById('display-file-content').click();">
	<div style="position: absolute; z-index: 1;" >
	<!-- Gagan -->
	<button class="square-button" onClick="loadComponent('appContainer', 'app-show-data')" id="display-file-content" filepath="<%=newFileLocationPathEncodedString%>" style="display: none" >Search Scope</button>
	
	<!-- Gagan -->
		
</div>
<div>
<input type="hidden" name="myhiddenvalue" id="filePath" value=<%=newFileLocation%> />.

</div>
<div>
<div id="appContainer"></div> 
</div>
<app-root></app-root> 
</body>


<!-- Added by Gagan -->

<script src="show-file-content/runtime.js" type="module"></script>
<script src="show-file-content/runtime.js" nomodule defer></script>
<script src="show-file-content/polyfills.js" type="module"></script>
<script src="show-file-content/polyfills.js" nomodule defer></script>
<script src="show-file-content/main.js" type="module"></script>
<script src="show-file-content/main.js" nomodule defer></script>



</html>

